Novant

Documentation

Sign in

Projects

Lists the projects an organization key can access. Use the returned proj_id values to make requests to project endpoints with an organization key.

GET /v1/org/projects
curl https://api.novant.io/v1/org/projects \
  -u ak_org_sample_123: \
  --compressed

This endpoint requires an organization key. Requests made with a project key fail with 403.

Parameters

None

Returns

Returns the list of active projects in the organization.

{
  "projects": [
    {
      "proj_id": 4821,
      "proj_name": "Lumon Industries",
      "city": "Denver, CO",
      "tz": "Denver",
      "area": 145000
    },
    {
      "proj_id": 5307,
      "proj_name": "Lumon Annex",
      "city": "Boulder, CO",
      "tz": "Denver"
    }
  ]
}